package ratRace.controller;

import ratRace.model.Model;
import ratRace.view.ViewI;
import ratRace.view.ViewListenerI;

/** The Controller sends events to the model.
 * In general, the controllers might also control the view, but for this simple
 * application this wasn't necessary.  Also, in general, the controller might observe
 * the model. However this was not needed in this simple application.
 * 
 * @author Theodore Norvell 
 * */
public class Controller implements ViewListenerI {
	
	//private ViewI view ;
	private Model model ;	
	
	
	public Controller( Model model, ViewI view ) {
		this.model = model ;
		//this.view = view ;
		view.addListener(this) ;
	}

	@Override
	public void mouseMovedTo(double i, double j) {
		model.pointRatAt(i, j) ;
	}
	
	@Override
	public void pulse() {
		model.pulse() ;
	}
}
